## org.apache.lucene.queryParser.standard.config
Interface BoostAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  BoostAttributeImpl

    public interface BoostAttribute

extends Attribute

This attribute is used by `MultiFieldQueryNodeProcessor` processor and it should be defined in a `FieldConfig`. This processor uses this attribute to define which boost a specific field should have when none is defined to it.

Method Summary
`float` `getBoost()`
`void` `setBoost(float boost)`

Method Detail

### setBoost

    void setBoost(float boost)

### getBoost

    float getBoost()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.